دسترسی ارسال کنید بررسی کنم براتون.
محتویات زیر رو در /etc/init.d/cpanel قرار بدید و دسترسی 775 بدید و مجددا دستور فوق رو اجراکنید- درصورتی که اروری مواجه شدید ارور رو قرار بدید
کد PHP:
#! /bin/sh
#
# chkconfig: 35 95 10
# description: This is the cpanel webserver and chat.
# processname: cpaneld
# pidfile: /var/run/cpanel.pid
# Source function library.
if [ -f /etc/init.d/functions ]; then
. /etc/init.d/functions
elif [ -f /etc/rc.d/init.d/functions ]; then
. /etc/rc.d/init.d/functions
else
echo "Could not find functions file, your system may be broken"
exit 1
fi
NAME="cpanel"
PROG="/usr/local/cpanel/etc/init/startup"
PIDFILE="/var/run/$NAME.pid"
LANG=C
RETVAL=0
if [ ! -x "$PROG" ]; then
echo "Could not find or execute startup script: $PROG"
exit 1
fi
# See how we were called.
case "$1" in
start)
echo "Starting $NAME: "
daemon $PROG
;;
stop)
action "Stopping tailwatchd: " /usr/local/cpanel/libexec/tailwatchd --stop
action "Stopping cPanel services: " /usr/local/cpanel/etc/init/stopcpsrvd --no-verbose
action "Stopping cPanel dav services: " /usr/local/cpanel/etc/init/stopcpdavd --no-verbose
action "Stopping cPanel queue services: " /usr/local/cpanel/etc/init/stopqueueprocd --no-verbose
action "Stopping cPanel brute force detector services: " /usr/local/cpanel/etc/init/stopcphulkd --no-verbose
/usr/local/cpanel/scripts/restartsrv_dnsadmin --status >/dev/null 2>&1
if [ "x$?" == "x0" ]; then
action "Stopping dnsadmin services: " /usr/local/cpanel/scripts/restartsrv_dnsadmin --no-verbose --stop
fi
echo -n "Stopping cPanel log services: "
[ -x /usr/bin/pkill ] && /usr/bin/pkill cpanellogd || killproc cpanellogd
echo
echo
action "Stopping cPanel ssl services: " /usr/local/cpanel/etc/init/stopstunnel --no-verbose
if [ -e "/usr/local/cpanel/3rdparty/mailman/data/master-qrunner.pid" ]; then
action "Stopping mailman services: " /usr/local/cpanel/etc/init/stopmailman --no-verbose
fi
;;
status)
OK=1
if ! status cpsrvd; then
OK=0
fi
/bin/grep -q 'nativessl=1' /var/cpanel/cpanel.config 2>/dev/null
if [ "x$?" != "x0" ]; then
if ! status stunnel; then
OK=0
fi
fi
if [ -e "/usr/local/cpanel/3rdparty/mailman/bin/mailmanctl" ]; then
/scripts/restartsrv_mailman --status >/dev/null 2>&1
if [ "x$?" != "x0" ]; then
OK=0
fi
fi
[ "x$OK" = 'x1' ] || /bin/false
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
esac
exit
در حال حاضر 1 کاربر در حال مشاهده این موضوع است. (0 کاربران و 1 مهمان ها)